<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
 *	  Use is subject to license terms.
> -->

<html>
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8">
<!-- p2 -->
<title>Ant Library Manager</title>
<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>


<h2>Ant Library Manager</h2>
<p><small> 
<a href="#seealso">See Also</a> 
</small></p>
<p>You can add Java libraries and tag libraries in the form of JAR files to an
  application. For web applications, you package them in the <tt>WEB-INF/lib</tt> 
  folder. Examples of 
  JAR files that you might want to add to an application are the following: </p>
<ul>
  <li>Custom tag libraries</li>
  <li>Supporting classes for custom tag libraries</li>
  <li>Java class files for servlets and the classes that they depend on</li>
  <li>JavaBeans components</li>
  <li>JDBC driver JARs</li>
</ul>
<p>To add a tag library JAR file to an existing application, use the Ant Library
Manager. The Ant Library Manager provides a place for you to store libraries 
  so that you can easily add them to your applications.</p>

<p>This dialog box has the following fields and tabs:</p>
<ul>
    <li><b>Libraries.</b> List of all libraries available to the IDE. You can 
add a new library to this list by clicking the New Library button at the 
bottom of the dialog box and specifying the library name and library type. 
You can view and edit library information by selecting the library name in 
the Libraries list. You can remove a library from the IDE by selecting 
the library in the Libraries list and clicking the Remove button at the 
bottom of the dialog box.</li>
<li><b>Library Name.</b> The name of the library being viewed.</li>
<li><b>Classpath tab.</b> Lists the JAR resources referenced by this library. 
When you add a library to a project, the IDE adds all referenced JAR 
files to the project's classpath. You can use the buttons on the right 
to add or remove JAR files.</li>
<li><b>Sources tab.</b> Lists the Java source code files. When you add a 
Java source library, it is parsed by the code completion manager and 
is available to the Java editor's Go To Source feature. This feature 
enables you to select a Java element, such as a class name or method name, 
and select Go To Source to see the source classes. You can use the buttons 
on the right to add or remove JAR files or folders from the library sources.</li>
<li><b>Javadoc tab.</b> Lists the compiled Javadoc code. When you add a 
Javadoc library, it is parsed by the code completion manager, and the 
Javadoc library is available to the Java Editor. You can use the 
buttons on the right to add or remove zip files or folders from the 
Javadoc library. </li>
</ul>


<dl> 
  <dt><b><a name="seealso">See Also</a></b></dt>
    <dd><a href="nbdocs://org.netbeans.modules.web.helpset/org/netbeans/modules/web/helpset/docs/web/create/tag/about/about_taglib.html">About Tag Libraries</a></dd>  
</dl>

<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
<table cellpadding="50" border="0"> 
<tr><td>&nbsp;</td></tr> 
</table> 

</body></html>

